//
// Module: EeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Modifies a given area vector for the encircled energy.
//
// Modifications: See ChangeLog
// 
// $Id: EeCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef EeCorrector_H
#define EeCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "PixelIterator.h"


class EeCorrector
{
public:

  /* Constructor */
  EeCorrector(){};

  /* Destructor */
  virtual ~EeCorrector(){};

  virtual vector<double> 
  Fraction( const vector<double> & energyvector) const = 0;
  
private:


};

#endif
